<template>
  <div id="app">
    <Header />
    <UploadPictureNav />
    <router-view />
  </div>
</template>

<script>
import Header from './common/Header'
import UploadPictureNav from './common/UploadPictureNav'
import { mapState } from 'vuex'

export default {
  name: 'App',
  components: {
    UploadPictureNav,
    Header
  },

  computed: mapState(['isAuthed']),

  created() {
    this.unsubscribe = this.$store.subscribe((mutation, state) => {
      if ((mutation.type === 'updateIsAuthed' && state.isAuthed === false) || mutation.type === 'resetState') {
        // Session expired
        this.$router.push('/sign-in')
      }
    })
  },
  beforeDestroy() {
    this.unsubscribe()
  }
}
</script>
